Subject: bug#16691: 24.3.50; emacs_backtrace.txt

From: martin rudalics <[email-masked]>
Date: Sun, 09 Feb 2014 19:58:12 +0100

>> I don't understand the glyph_row structure and hopefully never ever have
 >> touched it.

But while you're here could you please try to explain the following
issues wrt three members of glyph_row:

- short used[1 + LAST_AREA]: What does "Number of glyphs actually filled
   in areas." mean?  Does this mean that for example the first element is
   zero when the left margin doesn't exist?

- int x, y: Where and how are these set for a particular row (including
   header- and mode-line) and when and how are these eventually consumed?
   This is the greatest mystery for me so far.

- int visible_height: "Partially visible rows may be found at the top
   and bottom of a window."  Is it true that we can draw partially
   visible rows at the top of the window?

Thanks, martin